Loading...
Searching...
No Matches
Function.h File Reference

Defines the internal representation of a halide function and related classes. More...

`#include <map>`
`#include <string>`
`#include <utility>`
`#include <vector>`
`#include "Definition.h"`
`#include "Expr.h"`
`#include "FunctionPtr.h"`
`#include "Reduction.h"`
`#include "Schedule.h"`

Go to the source code of this file.

## Classes

class | Halide::Internal::Function
| A reference-counted handle to Halide's internal representation of a function. More...
struct | Halide::Internal::Function::Compare
| This lets you use a Function as a key in a map of the form map<Function, Foo, Function::Compare>. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Enumerations

enum class | Halide::NameMangling { Halide::Default , Halide::C , Halide::CPlusPlus }
| An enum to specify calling convention for extern stages. More...

## Functions

std::pair< std::vector< Function >, std::map< std::string, Function > > | Halide::Internal::deep_copy (const std::vector< Function > &outputs, const std::map< std::string, Function > &env)
| Deep copy an entire Function DAG.

## Variables

std::atomic< int > | Halide::Internal::random_variable_counter

## Detailed Description

Defines the internal representation of a halide function and related classes.

Definition in file Function.h.